package dbtypes

import (
	"git.andr3h3nriqu3s.com/andr3/fyp/logic/db"
)

type UserType int

const (
	User_Deleted UserType = iota - 1
	User_Not_Auth
	User_Normal
	User_Admin
)

type User struct {
	Id       string `db:"u.id" json:"id"`
	Username string `db:"u.username" json:"username"`
	Email    string `db:"u.email" json:"email"`
	UserType int    `db:"u.user_type" json:"user_type"`
}

func UserFromId(db db.Db, id string) (*User, error) {
	var user User
	err := GetDBOnce(db, &user, "users as u where u.id=$1", id)
	if err != nil {
		return nil, err
	}
	return &user, nil
}

func UserFromToken(db db.Db, token string) (*User, error) {
	var user User

	err := GetDBOnce(db, &user, "users as u inner join tokens as t on t.user_id = u.id where t.token = $1;", token)
	if err != nil {
		return nil, err
	}

	return &user, nil
}
